For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
GuidesAPI ReferenceSDKs
GuidesAPI ReferenceSDKs
  • API
      • POSTCreate or Update a Customer
      • GETGet Customer by ID
      • GETGet Customers
      • POSTUpdate Customer by ID
Dashboard
Products
PaymentsDataPayouts
Company
AboutCareersContact Sales

Terms of Use | Privacy Policy | © 2026 Trustly, Inc.

Developer-friendly docs for your API
GitHub|Contact Support|Business Help Center|Merchant Portal
Terms of Use|Privacy Policy|© 2026 Trustly, Inc.
Developer-friendly docs for your API
LogoLogo
North AmericaEurope
North AmericaEurope
APICustomers

Get Customer by ID

|View as Markdown|Open in Claude|
GET
https://sandbox.trustly.one/api/v1/customers/:customerId
GET
/api/v1/customers/:customerId
$curl https://sandbox.trustly.one/api/v1/customers/customerId \
> -u "<username>:<password>"
200Example
1{
2 "customer": {
3 "name": "Joe User",
4 "address": {
5 "country": "US",
6 "address1": "2000 Broadway St",
7 "city": "Redwood City",
8 "state": "CA",
9 "zip": "94063"
10 },
11 "phone": "+16505551212",
12 "email": "joe.user@mail.com",
13 "taxId": "012345678",
14 "createdAt": 1555696836548,
15 "updatedAt": 1555696836548,
16 "customerId": "1002580963",
17 "externalId": "4567890",
18 "merchantId": "1002463580",
19 "enrollDate": 1555696836548,
20 "driverLicense": {
21 "number": "A1234567",
22 "state": "CA"
23 }
24 }
25}

Retrieves the details of a Customer using the unique customerId that was returned upon customer creation.

Was this page helpful?
Previous

Create or Update a Customer

Next

Get Customers

Built with

Authentication

AuthorizationBasic

Path parameters

customerIdstringRequired
The identifier of the Customer to be retrieved.

Response

OK
customerobject
The Trustly customer object, containing identification details and contact information.